Functions
FLAG_Management
Peripheral Driver » LL Driver » AON_WDT » Functions

## Functions
__STATIC_INLINE uint32_t | ll_aon_wdt_is_active_flag_running (void)
| Indicate if the AON Watchdog Running Flag is set or not. More...
__STATIC_INLINE uint32_t | ll_aon_wdt_is_active_flag_alarm (void)
| Indicate if the AON WDT Alarm Event Flag is set or not. More...
__STATIC_INLINE void | ll_aon_wdt_clear_flag_alarm (void)
| Clear Interrupt Status flag. More...
__STATIC_INLINE void | ll_aon_wdt_unlock (void)
| Enable write access. More...
__STATIC_INLINE void | ll_aon_wdt_lock (void)
| Disable write access. More...

## Detailed Description

## Function Documentation

## ◆ ll_aon_wdt_clear_flag_alarm()

__STATIC_INLINE void ll_aon_wdt_clear_flag_alarm | ( | void |  | ) |

Clear Interrupt Status flag.

Register|BitsName --------|-------- SLP_EVENT| SLP_EVENT_WDT

Return values

  None |

Definition at line 363 of file gr533x_ll_aon_wdt.h.

## ◆ ll_aon_wdt_is_active_flag_alarm()

__STATIC_INLINE uint32_t ll_aon_wdt_is_active_flag_alarm | ( | void |  | ) |

Indicate if the AON WDT Alarm Event Flag is set or not.

Note
  This bit is set by hardware when the counter has reached alarm value. It can be cleared by writing 0 to this bit.

Register|BitsName --------|-------- SLP_EVENT | SLP_EVENT_WDT

Return values

  State | of bit (1 or 0).

Definition at line 349 of file gr533x_ll_aon_wdt.h.

## ◆ ll_aon_wdt_is_active_flag_running()

__STATIC_INLINE uint32_t ll_aon_wdt_is_active_flag_running | ( | void |  | ) |

Indicate if the AON Watchdog Running Flag is set or not.

Note
  This bit can be used to check if AON Watchdog is in running state.

Register|BitsName --------|-------- WD_TIMER_STS | WDT_RUNNING

Return values

  State | of bit (1 or 0).

Definition at line 333 of file gr533x_ll_aon_wdt.h.

## ◆ ll_aon_wdt_lock()

__STATIC_INLINE void ll_aon_wdt_lock | ( | void |  | ) |

Disable write access.

Return values

  None |

Definition at line 383 of file gr533x_ll_aon_wdt.h.

## ◆ ll_aon_wdt_unlock()

__STATIC_INLINE void ll_aon_wdt_unlock | ( | void |  | ) |

Enable write access.

Return values

  None |

Definition at line 373 of file gr533x_ll_aon_wdt.h.